html,
body {
  padding: 0;
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen, Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, sans-serif;
  height: 100%;
}

body {
  background-color: #f5f5f5;
}

a {
  color: inherit;
  text-decoration: none;
}

* {
  box-sizing: border-box;
}

highlight {
  background-color: #4e5044;
  border: 1px solid #9ca088;
  border-opacity: 0.5;
}

squiggly {
  text-decoration: underline;
  text-decoration-style: dotted;
  text-decoration-color: red;
  text-decoration-thickness: 2px;
  text-underline-offset: 5px;
}

.code-edit-container ::selection {
  background-color: #4e5044;
}
.code-edit-container ::-moz-selection {
  background-color: #4e5044;
}
.code-edit-container ::-webkit-selection {
  background-color: #4e5044;
}

.styled-scrollbars::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  border-radius: 10px;
  background-color: #555;
}

.styled-scrollbars::-webkit-scrollbar {
  width: 12px;
  height: 12px;
  background-color: #555;
}

.styled-scrollbars::-webkit-scrollbar-thumb {
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  background-color: #bbb;
}

.code-editor {
  width: 1173px;
  height: 711px;
  border: 1px solid hsl(0, 0%, 60%);
  background-color: #272822;
  margin: 1em 0;
}

.code-edit-container {
  position: relative;
  width: calc(1173px - 2px);
  height: calc(711px - 52px);
}

.code-edit-input,
.code-edit-output {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: 1rem;
  border: none;
  font-family: Consolas, Monaco, 'Andale Mono', 'Ubuntu Mono', monospace;
  font-size: 1em;
  background: transparent;
  white-space: nowrap;
  line-height: 1.5em;
  word-wrap: break-word;
  letter-spacing: 0;
}

.code-edit-input {
  opacity: 1;
  margin: 0;
  color: transparent;
  background: transparent;
  caret-color: white;
  resize: none;
  tab-size: 4;
  padding-left: 3.8em;
  outline: none;
}

.code-edit-output {
  pointer-events: none;
  z-index: 3;
  margin: 0;
  overflow-y: auto;
}

.code-edit-code {
  position: absolute;
  top: 0;
  left: 0;
  margin: 0;
  //padding: 0em;
  display: block;
  color: hsl(0, 0%, 40%);
  font-size: 1em;
  font-family: Consolas, Monaco, 'Andale Mono', 'Ubuntu Mono', monospace;
}

/* overrides */
.code-edit-container :not(pre) > code[class*='language-'],
.code-edit-container pre[class*='language-'] {
  background: transparent;
  margin: 0;
}

.code-edit-container .token.namespace {
  opacity: 1;
  color: #adada9;
}
